libstdc++: math.h File Reference

libstdc++

math.h File Reference

Go to the source code of this file.

## Functions
template<typename _Tp>
_Tp | abs (const complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | acos (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | acosh (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | asin (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | asinh (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | atan (const std::complex< _Tp > &)
constexpr float | atan2 (float __y, float __x)
template<typename _Tp>
std::complex< _Tp > | atanh (const std::complex< _Tp > &)
constexpr float | cbrt (float __x)
constexpr float | ceil (float __x)
constexpr float | copysign (float __x, float __y)
template<typename _Tp>
complex< _Tp > | cos (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | cosh (const complex< _Tp > &)
constexpr float | erf (float __x)
constexpr float | erfc (float __x)
template<typename _Tp>
complex< _Tp > | exp (const complex< _Tp > &)
constexpr float | exp2 (float __x)
constexpr float | expm1 (float __x)
template<typename _Tp>
_Tp | fabs (const std::complex< _Tp > &__z)
constexpr float | fdim (float __x, float __y)
constexpr float | floor (float __x)
constexpr float | fma (float __x, float __y, float __z)
constexpr float | fmax (float __x, float __y)
constexpr float | fmin (float __x, float __y)
constexpr float | fmod (float __x, float __y)
constexpr int | fpclassify (float __x)
float | frexp (float __x, int *__exp)
constexpr float | hypot (float __x, float __y)
constexpr int | ilogb (float __x)
constexpr bool | isfinite (float __x)
constexpr bool | isgreater (float __x, float __y)
constexpr bool | isgreaterequal (float __x, float __y)
constexpr bool | isinf (float __x)
constexpr bool | isless (float __x, float __y)
constexpr bool | islessequal (float __x, float __y)
constexpr bool | islessgreater (float __x, float __y)
constexpr bool | isnan (float __x)
constexpr bool | isnormal (float __x)
constexpr bool | isunordered (float __x, float __y)
constexpr float | ldexp (float __x, int __exp)
constexpr float | lgamma (float __x)
constexpr long long | llrint (float __x)
constexpr long long | llround (float __x)
template<typename _Tp>
complex< _Tp > | log (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | log10 (const complex< _Tp > &)
constexpr float | log1p (float __x)
constexpr float | log2 (float __x)
constexpr float | logb (float __x)
constexpr long | lrint (float __x)
constexpr long | lround (float __x)
float | modf (float __x, float *__iptr)
constexpr float | nearbyint (float __x)
constexpr float | nextafter (float __x, float __y)
constexpr float | nexttoward (float __x, long double __y)
template<typename _Tp>
complex< _Tp > | pow (const complex< _Tp > &, int)
constexpr float | remainder (float __x, float __y)
float | remquo (float __x, float __y, int *__pquo)
constexpr float | rint (float __x)
constexpr float | round (float __x)
constexpr float | scalbln (float __x, long __ex)
constexpr float | scalbn (float __x, int __ex)
constexpr bool | signbit (float __x)
template<typename _Tp>
complex< _Tp > | sin (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | sinh (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | sqrt (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | tan (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | tanh (const complex< _Tp > &)
constexpr float | tgamma (float __x)
constexpr float | trunc (float __x)

## Detailed Description

This is a Standard C++ Library header.

Definition in file math.h.

## Function Documentation

## ◆ abs()

template<typename _Tp>

_Tp std::abs | ( | const complex< _Tp > & | __z | ) |
| inline

Return magnitude of z.

Definition at line 968 of file complex.

## ◆ acos()

template<typename _Tp>

std::complex< _Tp > std::acos | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2308 of file complex.

## ◆ acosh()

template<typename _Tp>

std::complex< _Tp > std::acosh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2424 of file complex.

## ◆ asin()

template<typename _Tp>

std::complex< _Tp > std::asin | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2344 of file complex.

## ◆ asinh()

template<typename _Tp>

std::complex< _Tp > std::asinh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2463 of file complex.

## ◆ atan()

template<typename _Tp>

std::complex< _Tp > std::atan | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2388 of file complex.

## ◆ atan2()

float std::atan2 | ( | float | __y,
|  | float | __x )
| inlineconstexpr

Definition at line 157 of file cmath.

## ◆ atanh()

template<typename _Tp>

std::complex< _Tp > std::atanh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2507 of file complex.

## ◆ cbrt()

float std::cbrt | ( | float | __x | ) |
| constexpr

Definition at line 2296 of file cmath.

## ◆ ceil()

float std::ceil | ( | float | __x | ) |
| inlineconstexpr

Definition at line 169 of file cmath.

## ◆ copysign()

float std::copysign | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2314 of file cmath.

## ◆ cos()

template<typename _Tp>

complex< _Tp > std::cos | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex cosine of z.

Definition at line 1079 of file complex.

## ◆ cosh()

template<typename _Tp>

complex< _Tp > std::cosh | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex hyperbolic cosine of z.

Definition at line 1109 of file complex.

## ◆ erf()

float std::erf | ( | float | __x | ) |
| constexpr

Definition at line 2324 of file cmath.

## ◆ erfc()

float std::erfc | ( | float | __x | ) |
| constexpr

Definition at line 2342 of file cmath.

## ◆ exp()

template<typename _Tp>

complex< _Tp > std::exp | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex base e exponential of z.

Definition at line 1135 of file complex.

## ◆ exp2()

float std::exp2 | ( | float | __x | ) |
| constexpr

Definition at line 2360 of file cmath.

## ◆ expm1()

float std::expm1 | ( | float | __x | ) |
| constexpr

Definition at line 2378 of file cmath.

## ◆ fabs()

template<typename _Tp>

_Tp std::fabs | ( | const std::complex< _Tp > & | __z | ) |
| inline

fabs(__z) TR1 8.1.8 [tr.c99.cmplx.fabs]

Definition at line 2525 of file complex.

## ◆ fdim()

float std::fdim | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2396 of file cmath.

## ◆ floor()

float std::floor | ( | float | __x | ) |
| inlineconstexpr

Definition at line 264 of file cmath.

## ◆ fma()

float std::fma | ( | float | __x,
|  | float | __y,
|  | float | __z )
| constexpr

Definition at line 2406 of file cmath.

## ◆ fmax()

float std::fmax | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2416 of file cmath.

## ◆ fmin()

float std::fmin | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2426 of file cmath.

## ◆ fmod()

float std::fmod | ( | float | __x,
|  | float | __y )
| inlineconstexpr

Definition at line 283 of file cmath.

## ◆ fpclassify()

int std::fpclassify | ( | float | __x | ) |
| constexpr

Definition at line 1108 of file cmath.

## ◆ frexp()

float std::frexp | ( | float | __x,
|  | int * | __exp )
| inline

Definition at line 295 of file cmath.

## ◆ hypot()

float std::hypot | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2436 of file cmath.

## ◆ ilogb()

int std::ilogb | ( | float | __x | ) |
| constexpr

Definition at line 2446 of file cmath.

## ◆ isfinite()

bool std::isfinite | ( | float | __x | ) |
| constexpr

Definition at line 1133 of file cmath.

## ◆ isgreater()

bool std::isgreater | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1254 of file cmath.

## ◆ isgreaterequal()

bool std::isgreaterequal | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1280 of file cmath.

## ◆ isinf()

bool std::isinf | ( | float | __x | ) |
| constexpr

Definition at line 1155 of file cmath.

## ◆ isless()

bool std::isless | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1306 of file cmath.

## ◆ islessequal()

bool std::islessequal | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1332 of file cmath.

## ◆ islessgreater()

bool std::islessgreater | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1358 of file cmath.

## ◆ isnan()

bool std::isnan | ( | float | __x | ) |
| constexpr

Definition at line 1182 of file cmath.

## ◆ isnormal()

bool std::isnormal | ( | float | __x | ) |
| constexpr

Definition at line 1209 of file cmath.

## ◆ isunordered()

bool std::isunordered | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 1384 of file cmath.

## ◆ ldexp()

float std::ldexp | ( | float | __x,
|  | int | __exp )
| inlineconstexpr

Definition at line 314 of file cmath.

## ◆ lgamma()

float std::lgamma | ( | float | __x | ) |
| constexpr

Definition at line 2465 of file cmath.

## ◆ llrint()

long long std::llrint | ( | float | __x | ) |
| constexpr

Definition at line 2483 of file cmath.

## ◆ llround()

long long std::llround | ( | float | __x | ) |
| constexpr

Definition at line 2501 of file cmath.

## ◆ log()

template<typename _Tp>

complex< _Tp > std::log | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex natural logarithm of z.

Definition at line 1162 of file complex.

## ◆ log10()

template<typename _Tp>

complex< _Tp > std::log10 | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex base 10 logarithm of z.

Definition at line 1167 of file complex.

## ◆ log1p()

float std::log1p | ( | float | __x | ) |
| constexpr

Definition at line 2519 of file cmath.

## ◆ log2()

float std::log2 | ( | float | __x | ) |
| constexpr

Definition at line 2538 of file cmath.

## ◆ logb()

float std::logb | ( | float | __x | ) |
| constexpr

Definition at line 2556 of file cmath.

## ◆ lrint()

long std::lrint | ( | float | __x | ) |
| constexpr

Definition at line 2574 of file cmath.

## ◆ lround()

long std::lround | ( | float | __x | ) |
| constexpr

Definition at line 2592 of file cmath.

## ◆ modf()

float std::modf | ( | float | __x,
|  | float * | __iptr )
| inline

Definition at line 371 of file cmath.

## ◆ nearbyint()

float std::nearbyint | ( | float | __x | ) |
| constexpr

Definition at line 2610 of file cmath.

## ◆ nextafter()

float std::nextafter | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2628 of file cmath.

## ◆ nexttoward()

float std::nexttoward | ( | float | __x,
|  | long double | __y )
| constexpr

Definition at line 2638 of file cmath.

## ◆ pow()

template<typename _Tp>

complex< _Tp > std::pow | ( | const complex< _Tp > & | __z,
|  | int | __n )
| inline

Return x to the y'th power.

Definition at line 1357 of file complex.

## ◆ remainder()

float std::remainder | ( | float | __x,
|  | float | __y )
| constexpr

Definition at line 2656 of file cmath.

## ◆ remquo()

float std::remquo | ( | float | __x,
|  | float | __y,
|  | int * | __pquo )
| inline

Definition at line 2666 of file cmath.

## ◆ rint()

float std::rint | ( | float | __x | ) |
| constexpr

Definition at line 2676 of file cmath.

## ◆ round()

float std::round | ( | float | __x | ) |
| constexpr

Definition at line 2694 of file cmath.

## ◆ scalbln()

float std::scalbln | ( | float | __x,
|  | long | __ex )
| constexpr

Definition at line 2712 of file cmath.

## ◆ scalbn()

float std::scalbn | ( | float | __x,
|  | int | __ex )
| constexpr

Definition at line 2730 of file cmath.

## ◆ signbit()

bool std::signbit | ( | float | __x | ) |
| constexpr

Definition at line 1232 of file cmath.

## ◆ sin()

template<typename _Tp>

complex< _Tp > std::sin | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex sine of z.

Definition at line 1197 of file complex.

## ◆ sinh()

template<typename _Tp>

complex< _Tp > std::sinh | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex hyperbolic sine of z.

Definition at line 1227 of file complex.

## ◆ sqrt()

template<typename _Tp>

complex< _Tp > std::sqrt | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex square root of z.

Definition at line 1271 of file complex.

## ◆ tan()

template<typename _Tp>

complex< _Tp > std::tan | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex tangent of z.

Definition at line 1298 of file complex.

## ◆ tanh()

template<typename _Tp>

complex< _Tp > std::tanh | ( | const complex< _Tp > & | __z | ) |
| inline

Return complex hyperbolic tangent of z.

Definition at line 1326 of file complex.

## ◆ tgamma()

float std::tgamma | ( | float | __x | ) |
| constexpr

Definition at line 2748 of file cmath.

## ◆ trunc()

float std::trunc | ( | float | __x | ) |
| constexpr

Definition at line 2766 of file cmath.